gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.ScaleAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype ScaleAccessible = ScaleAccessible (ManagedPtr ScaleAccessible)
- class (GObject o, IsDescendantOf ScaleAccessible o) => IsScaleAccessible o
- toScaleAccessible :: (MonadIO m, IsScaleAccessible o) => o -> m ScaleAccessible

# Exported types

newtype ScaleAccessible Source #

Memory-managed wrapper type.

Constructors

ScaleAccessible (ManagedPtr ScaleAccessible) |

#### Instances

Instances details

Eq ScaleAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ScaleAccessible Methods (==) :: ScaleAccessible -> ScaleAccessible -> Bool Source # (/=) :: ScaleAccessible -> ScaleAccessible -> Bool Source #
GObject ScaleAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ScaleAccessible
ManagedPtrNewtype ScaleAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ScaleAccessible Methods toManagedPtr :: ScaleAccessible -> ManagedPtr ScaleAccessible Source #
TypedObject ScaleAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ScaleAccessible Methods glibType :: IO GType Source #
HasParentTypes ScaleAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ScaleAccessible
IsGValue (Maybe ScaleAccessible) Source # | Convert `ScaleAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.ScaleAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe ScaleAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe ScaleAccessible) Source #
type ParentTypes ScaleAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ScaleAccessible type ParentTypes ScaleAccessible = '[RangeAccessible, WidgetAccessible, Accessible, Object, Object, Component, Value]

class (GObject o, IsDescendantOf ScaleAccessible o) => IsScaleAccessible o Source #

Type class for types which can be safely cast to `ScaleAccessible`, for instance with `toScaleAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf ScaleAccessible o) => IsScaleAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.ScaleAccessible

toScaleAccessible :: (MonadIO m, IsScaleAccessible o) => o -> m ScaleAccessible Source #

Cast to `ScaleAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, bindProperty, bindPropertyFull, connectWidgetDestroyed, contains, forceFloating, freezeNotify, getv, grabFocus, initialize, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, runDispose, scrollTo, scrollToPoint, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getCurrentValue, getData, getDescription, getExtents, getHelpText, getIncrement, getIndexInParent, getLayer, getMaximumValue, getMdiZorder, getMinimumIncrement, getMinimumValue, getNAccessibleChildren, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRange, getRole, getSize, getSubRanges, getValueAndText, getWidget.

#### Setters

setAccessibleId, setCurrentValue, setData, setDataFull, setDescription, setExtents, setHelpText, setName, setParent, setPosition, setProperty, setRole, setSize, setValue, setWidget.